summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Johannes Schoepfer2016-11-03 11:07:32 +0100
committer Willy Sudiarto Raharjo2016-11-03 11:07:32 +0100
commit50c50f903332e6a5f5a06b9c991f33561cc0e577 (patch)
tree8b6b2ffba43c541d9dd4431f41acefdc1c523761
parentcda6abcc4cdc5f7052a7c24449bdc96240590fc1 (diff)
downloadslackbuilds-50c50f903332e6a5f5a06b9c991f33561cc0e577.tar.gz
games/stockfish: Added (UCI chess engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/stockfish/README12
-rw-r--r--games/stockfish/slack-desc19
-rw-r--r--games/stockfish/stockfish.SlackBuild101
-rw-r--r--games/stockfish/stockfish.info10
4 files changed, 142 insertions, 0 deletions
diff --git a/games/stockfish/README b/games/stockfish/README
new file mode 100644
index 0000000000..eb67f3ece0
--- /dev/null
+++ b/games/stockfish/README
@@ -0,0 +1,12 @@
+Stockfish is a free UCI chess engine derived from Glaurung 2.1. It is not a
+complete chess program and requires some UCI-compatible GUI (e.g. XBoard with
+PolyGlot, eboard, Arena, Sigma Chess, Shredder, Chess Partner or Fritz) in
+order to be used comfortably. Read the documentation for your GUI of choice
+for information about how to use Stockfish with it.
+
+This version of Stockfish supports up to 128 cores. The engine defaults to one
+search thread, so it is therefore recommended to inspect the value of the
+Threads UCI parameter, and to make sure it equals the number of CPU cores on
+your computer.
+
+This version of Stockfish has support for Syzygybases.
diff --git a/games/stockfish/slack-desc b/games/stockfish/slack-desc
new file mode 100644
index 0000000000..ea10a46c1e
--- /dev/null
+++ b/games/stockfish/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The \"handy ruler\" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+stockfish: stockfish (UCI chess engine)
+stockfish:
+stockfish: Stockfish is a free UCI chess engine derived from Glaurung 2.1.,
+stockfish: requireing some UCI-compatible GUI (e.g. XBoard with PolyGlot or
+stockfish: eboard).
+stockfish: It has support for Syzygybases and supports up to 128 cores.
+stockfish: The engine defaults to one search thread, so it is therefore
+stockfish: recommended to inspect the value of the Threads UCI parameter, and
+stockfish: to make sure it equals the number of CPU cores on your computer.
+stockfish:
+stockfish: https://stockfishchess.org/
diff --git a/games/stockfish/stockfish.SlackBuild b/games/stockfish/stockfish.SlackBuild
new file mode 100644
index 0000000000..aaaf1453f5
--- /dev/null
+++ b/games/stockfish/stockfish.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for stockfish
+
+# Copyright 2016 Johannes Schoepfer
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=stockfish
+VERSION=${VERSION:-8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM-$VERSION-src.zip
+cd $PRGNAM-$VERSION-src
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+# More optimized, but may not run on all x86_64 hardware
+# [ "$ARCH" = x86_64 ] && grep -w popcnt /proc/cpuinfo && ARCH=x86-64-modern
+export CXXFLAGS="$SLKCFLAGS"
+case $ARCH in
+ x86_64) make profile-build ARCH=x86-64 ;;
+ x86-64-modern) make profile-build ARCH=$ARCH ;;
+ i?86) make profile-build ARCH=x86-32 ;;
+ arm) make profile-build ARCH=armv7 ;;
+ *) make profile-build ARCH=general-32 ;;
+esac
+
+make strip
+make PREFIX="$PKG/usr" install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv AUTHORS Copying.txt Readme.md $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/stockfish/stockfish.info b/games/stockfish/stockfish.info
new file mode 100644
index 0000000000..a3fb4adf87
--- /dev/null
+++ b/games/stockfish/stockfish.info
@@ -0,0 +1,10 @@
+PRGNAM="stockfish"
+VERSION="8"
+HOMEPAGE="https://stockfishchess.org/"
+DOWNLOAD="https://stockfish.s3.amazonaws.com/stockfish-8-src.zip"
+MD5SUM="fa9797045a76f9b76596d7a0d5ca7b69"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Johannes Schoepfer"
+EMAIL="<slackbuilds[at]schoepfer[dot]info>"